import { View } from "@tarojs/components";
import React from "react";
import PageWrapper from "../page-wrapper/index";
import { useAppStore } from "@/store/appStore";

interface Props {
  children?: React.ReactChild | React.ReactChild[];
  bgColor?: string;
  isflex?: boolean; // 有横向滚动的scroll-view 容器不能包裹在 flex comlumn 布局中
  style?: React.CSSProperties;
  paddingTop?: number;
}

const Index: React.FC<Props> = ({ children, isflex = true, paddingTop, style }) => {
  const headerHeight = useAppStore((state) => state.headerHeight);
  const flexStyle = isflex ? "flex flex-col items-center" : "";
  const pt = paddingTop ?? headerHeight 
  // 内容高度全屏
  const styles = `min-height: calc(100vh - ${pt}px)`
  return (
    <PageWrapper style={style}>
      <View style={{ paddingTop: pt}}>
        <View
            className={`${flexStyle} w-full px-28 py-20`}
            style={styles}
          >
            {children}
          </View>
      </View>
    </PageWrapper>
  );
};

export default Index;
