import { View } from "@tarojs/components";
import Taro from "@tarojs/taro";
import style from "./index.module.less";
import { getSuffix } from '@/utils'
import { TFileItem } from "@/types/file-types";
import RenderFileStatus from "./RenderFileStatus";
import RenderIcon from "../doc-icon/index";
import { useDocumentStore } from "@/store/documentStore";
interface Props {
  uploadList: TFileItem[];
  onUploadComplete: ()=> void;
}

export default ({ uploadList }: Props) => {
  const uploadingList = useDocumentStore((state) => state.uploadingList);

  const handleCancel = (item: TFileItem) => {
    item.taskHandler?.abort();
  };

  const onStart = (
    task: Taro.UploadTask.UploadTaskPromise,
    fileItem: TFileItem
  ) => {
    console.log(task, fileItem);
    // const _list = list.map((item) => {
    //   if (item.file.name === fileItem.file.name) {
    //     console.log(fileItem.file.name,99999)
    //     return {
    //       ...item,
    //       taskHandler: task,
    //       status: 1,
    //     };
    //   }
    //   return item;
    // });
    // setList(_list);
  };

  // 上传文件成功
  const onUploaded = (fileItem: TFileItem)=> {
    
  }

  return (
    <>
      {uploadingList.map((item, index) => {
        return (
          <View className={style.fileItem} key={index}>
            <RenderIcon type={getSuffix(item.file.name)}></RenderIcon>
            <View className="flex flex-col flex-1 gap-2">
              <View className={`${style.fileName} truncate`}>{item.file.name}</View>
              {(item.status === 0||item.status===3) && (
                <RenderFileStatus
                  fileItem={item}
                  onStart={onStart}
                  onUploaded={onUploaded}
                ></RenderFileStatus>
              )}
            </View>
            {item.status === 1 && (
              <View
                className={style.cancelButton}
                onClick={() => {
                  handleCancel(item);
                }}
              >
                取消
              </View>
            )}
          </View>
        );
      })}
    </>
  );
};
