import { View } from "@tarojs/components";
import style from "./index.module.less";
import { useState } from "react";
import { TModelVipPrice } from "@/types/index";
interface Props {
  prices: TModelVipPrice[]
  onSelected: (priceId: number) => void;
}

export default ({ prices, onSelected }: Props) => {
  const [index, setIndex] = useState(0);
  
  // console.log(prices, appConfig?.vips)
  if (!prices) return <></>;
  const handleClick = (_index: number) => {
    setIndex(_index);
    if (prices) {
      onSelected(prices[_index].id);
    }
  };
  return (
    <View className={style.priceCards}>
      {prices.map((price, _index) => {
        return (
          <View
            className={`inline-block mr-12 ${(prices.length-1) === _index ? 'mr-28' : ''}`}
            onClick={() => {
              handleClick(_index);
            }}
          >
            <View className={index === _index ? style.cardActived : style.card}>
              <View className={style.type}>{price.name}</View>
              <View className={style.priceRow}>
                <View className={style.moneySign}>¥</View>
                <View className={style.price}>{price.unitAmount / 100}</View>
              </View>
              <View
                className={
                  index === _index ? style.perDayActived : style.perDay
                }
              >
                每天仅需¥{price.costPerDay}
              </View>
            </View>
          </View>
        );
      })}
      {/* <View className="inline-block mr-12">
          <View className={index === 1 ? style.cardActived : style.card}>
            <View className={style.type}>季卡</View>
            <View className={style.priceRow}>
              <View className={style.moneySign}>¥</View>
              <View className={style.price}>88</View>
            </View>
            <View className={index === 1 ? style.perDayActived: style.perDay}>每天仅需¥0.63</View>
          </View>
      </View> 
      <View className="inline-block mr-12">
          <View className={index === 1 ? style.cardActived : style.card}>
            <View className={style.type}>年卡</View>
            <View className={style.priceRow}>
              <View className={style.moneySign}>¥</View>
              <View className={style.price}>120</View>
            </View>
            <View className={index === 1 ? style.perDayActived: style.perDay}>每天仅需¥0.63</View>
          </View>
      </View> */}
    </View>
  );
};
